#include "armfly_bsp.h"

void bsp_init(void)
{
    INT8U err;
    net_mutex  = OSMutexCreate(15, &err);
    uart1_mbox = OSMboxCreate(NULL);
    uart3_mbox = OSMboxCreate(NULL);

    InitQueue(&CanQueueCan1);
    InitQueue(&CanQueueCan2);

    // GPIO初始化
    gpio_clock_init();
    interface_init();

    dwt_init();
    spi1_init();
    uart1_init();
    uart3_init();
    nor_flash_init();
    lwip_setup();
    // can初始化
    can_network_init();
}
